
Ruby - Bug #5950

open-uri: https redirect fix 

01/31/2012 12:33 AM - azet (Aaron Zauner)

Status: Closed   

Priority: Normal   

Assignee: akr (Akira Tanaka)   

Target version:    

ruby -v: ruby 1.8.7 (2011-06-30 patchlevel 352)

[x86_64-linux] 

Backport: 2.3: UNKNOWN, 2.4: UNKNOWN

Description

open-uri raises an exception if a http/s redirect refers to https.

original mail to the maintainer with a quickfix: https://gist.github.com/1704932

--snip--

this is taken from the original ruby open-uri class,

fixed this to support secure socket http redirects:

def OpenURI.redirectable?(uri1, uri2) # :nodoc:

# This test is intended to forbid a redirection from http://... to

# file:///etc/passwd.

# However this is ad hoc.  It should be extensible/configurable.

uri1.scheme.downcase == uri2.scheme.downcase ||

(/\A(?:http|ftp|https)\z/i =~ uri1.scheme && /\A(?:http|ftp|https)\z/i =~

uri2.scheme)

end

--snip--

History

#1 - 06/22/2012 09:05 PM - jhilden (Jakob Hilden)

Seems like a duplicate of http://bugs.ruby-lang.org/issues/859

#2 - 07/01/2012 10:25 AM - mame (Yusuke Endoh)

- Status changed from Open to Assigned

- Assignee set to akr (Akira Tanaka)

#3 - 04/04/2013 11:52 PM - akr (Akira Tanaka)

- Project changed from 2 to Ruby

- Category changed from lib to lib

- Target version deleted (Ruby 1.8.7)

#4 - 04/04/2013 11:52 PM - akr (Akira Tanaka)

- Parent task set to #859

#5 - 10/21/2017 09:06 AM - akr (Akira Tanaka)

- Status changed from Assigned to Closed

- Parent task deleted (#859)

closed as [Feature #859]
